import request from '@/utils/request'

// 查询游船列表
export function listShip(query) {
  return request({
    url: '/system/ship/list',
    method: 'get',
    params: query
  })
}

// 查询游船详细
export function getShip(id) {
  return request({
    url: '/system/ship/' + id,
    method: 'get'
  })
}

// 新增游船
export function addShip(data) {
  return request({
    url: '/system/ship',
    method: 'post',
    data: data
  })
}

// 修改游船
export function updateShip(data) {
  return request({
    url: '/system/ship',
    method: 'put',
    data: data
  })
}

// 删除游船
export function delShip(id) {
  return request({
    url: '/system/ship/' + id,
    method: 'delete'
  })
}
